%define oname python-ldap

Summary: LDAP client API for Python
Name: python-module-ldap
Version: 2.3.9
Release: alt1
Source0: %oname-%version.tar
Source1: python-ldap-docs-2.0.3.pdf
Patch2:  python-ldap-2.0.11-config.patch
License: Python-style license
Group: Development/Python
Url: http://python-ldap.sourceforge.net/

BuildPreReq: python-devel = 2.5
BuildPreReq: rpm-build-python >= 0.8
BuildRequires: libldap-devel >= 2.3 libssl-devel

Obsoletes: python-ldap
Packager: Python Development Team <python@packages.altlinux.org>

%description
python-ldap provides an object-oriented API to access LDAP
directory servers from Python programs. Mainly it wraps the
OpenLDAP 2.x libs for that purpose.

Additionally the package contains modules for other LDAP-related
stuff (e.g. processing LDIF, LDAPURLs, LDAPv3 sub-schema, etc.).

%prep
%setup -n %oname-%version
#patch2 -p1
%__install -m 644 %SOURCE1 python-ldap.lib.pdf

%build
env CFLAGS="$RPM_OPT_FLAGS" %__python setup.py build

%install
%__python setup.py install \
          --root=%buildroot \
	  --optimize=2 \
	  --record=INSTALLED_FILES

%clean

%files -f INSTALLED_FILES
%doc LICENCE CHANGES README TODO Demo Tests python-ldap.lib.pdf

%changelog
* Wed Aug 26 2009 Boris Savelev <boris@altlinux.org> 2.3.9-alt1
- new version

* Thu Jan 24 2008 Grigory Batalov <bga@altlinux.ru> 2.3-alt1.1
- Rebuilt with python-2.5.

* Sun May 27 2007 Ivan Fedorov <ns@altlinux.ru> 2.3-alt1
- 2.3

* Sat Jul 01 2006 Ivan Fedorov <ns@altlinux.ru> 2.2.0-alt2
- Remove strange requires

* Thu Apr 13 2006 Ivan Fedorov <ns@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Sat Dec 31 2005 Ivan Fedorov <ns@altlinux.ru> 2.0.11-alt1
- 2.0.11

* Fri May  6 2005 Konstantin Klimchev <koka@altlinux.ru> 2.0.7-alt1
- new 2.0.7
- python2.4

* Fri Nov 19 2004 Konstantin Klimchev <koka@altlinux.ru> 2.0.5-alt1
- new 2.0.5

* Fri Oct 8 2004 Konstantin Klimchev <koka@altlinux.ru> 2.0.3-alt1
- new 2.0.3
- update python-ldap.lib.pdf

* Fri Aug 20 2004 Konstantin Klimchev <koka@altlinux.ru> 2.0.2-alt1
- new 2.0.2

* Mon May 24 2004 Konstantin Klimchev <koka@altlinux.ru> 2.0.0-alt2
- new 2.0.0 

* Tue May 18 2004 Konstantin Klimchev <koka@altlinux.ru> 2.0.0-alt1.pre21
- new python policy
- replace preX in release

* Tue May 11 2004 ALT QA Team Robot <qa-robot@altlinux.org> 2.0.0pre21-alt1.1
- Rebuilt with openssl-0.9.7d.

* Wed Mar 31 2004 Konstantin Klimchev <koka@altlinux.ru> 2.0.0pre21-alt1
- new 2.0.0pre21

* Mon Jan 26 2004 Konstantin Klimchev <koka@altlinux.ru> 2.0.0pre19-alt1
- new 2.0.0pre19

* Thu Jan  8 2004 Konstantin Klimchev <koka@altlinux.ru> 2.0.0pre18-alt1
- initial build for Sisyphus

* Mon Dec 15 2003 Klimchev Konstantin <koka@atvc.ru> 2.0.0pre18-1
- new release 2.0.0pre18-1

* Mon Sep 15 2003 Klimchev Konstantin <koka@atvc.ru> 2.0.0pre13-1
- Initial build
